import fetchMock from 'fetch-mock';
import _fetch from './../../src/core/fetch';

describe('test _fetch ...', () => {
	const delay = new Promise((res, rej) => setTimeout(res, 500));
	fetchMock.mock(
		'*',
		delay.then(() => {
			return { foo: 'bar' };
		})
	);
	it('测试定时器', async () => {
		await _fetch(
			'http://www.example.com',
			{
				method: 'GET'
			},
			10000
		)
			.then(r => {
				return r.json();
			})
			.then(d => {
				expect(d).toEqual({ foo: 'bar' });
			});
		fetchMock.restore();
	});
	it('测试超时时异常', async () => {
		await _fetch(
			'http://www.example.com',
			{
				method: 'GET'
			},
			0
		).catch(e => {
			expect(e).toEqual(new Error('Request timed out'));
		});

		fetchMock.restore();
	});
});
