import fetchMock from 'fetch-mock';
import adc from './../../src/index';

describe('GET单元测试', () => {
	const delay = new Promise((res, rej) => setTimeout(res, 1000));
	fetchMock.get(
		'*',
		delay.then(() => {
			return { foo: 'bar' };
		})
	);
	it('json', async () => {
		await adc
			.get('http://www.example.com', {
				timeout: 1000
			})
			.then(r => {
				expect(r.data).toEqual({ foo: 'bar' });
			})
			.catch(e => {
				console.dir('error', e);
			});

		fetchMock.restore();
	});
	it('timeout', async () => {
		await adc
			.get('http://www.example.com', {
				dataType: 'json',
				timeout: 100
			})
			.catch(e => {
				expect(e).toEqual(new Error('Request timed out'));
			});

		fetchMock.restore();
	});
});
